Skip to main content
PUT
/
v1
/
email
/
smtp
Upsert SMTP Config
curl --request PUT \
  --url https://api.oviond.com/v1/email/smtp \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "host": "<string>",
  "port": 32768,
  "username": "<string>",
  "password": "<string>",
  "from_email": "[email protected]",
  "secure": true,
  "from_name": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "account_id": "<string>",
    "host": "<string>",
    "port": 123,
    "username": "<string>",
    "secure": true,
    "from_email": "<string>",
    "from_name": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
host
string
required
Minimum string length: 1
port
integer
required
Required range: 1 <= x <= 65535
username
string
required
Minimum string length: 1
password
string
required
Minimum string length: 1
from_email
string<email>
required
secure
boolean
default:true
from_name
string | null

Response

200 - application/json

SMTP config saved

success
enum<boolean>
required
Available options:
true
data
object
required